Creates a ServiceAccountKey.
HTTP request
POST https://iam.googleapis.com/v1/{name=projects/*/serviceAccounts/*}/keys
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the service account. Use one of the following formats:
As an alternative, you can use the
When possible, avoid using the Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "privateKeyType": enum ( |
| Fields | |
|---|---|
privateKeyType |
The output format of the private key. The default value is |
keyAlgorithm |
Which type of key and algorithm to use for the key. The default is currently a 2K RSA key. However this may change in the future. |
Response body
If successful, the response body contains a newly created instance of ServiceAccountKey.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/iamhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.